Results 1 to 4 of 4

Thread: Installing Superkaramba w/ Python 2.5

  1. #1
    sc0re NNTP User

    Default Installing Superkaramba w/ Python 2.5

    By default, the configuration file of Superkaramba only looks for Python versions <=2.4. This was a problem for me, as Suse 11.0 installs Python 2.5 - not 2.4. Just a quick change to the the configure file should solve that problem (assuming you have the proper dependencies installed):

    Open /superkaramba-0.39/configure
    Search for the text :
    Code:
    if test -z ""2.4""; then
      version="1.5"
    else
      version=""2.4""
    Technically, you can edit any of the given options (2.4, 2.3, etc.). 2.4 is just the first occurrence of a usable python variable.

    Change the entire selection to:
    Code:
    if test -z ""2.5""; then
      version="1.5"
    else
      version=""2.5""
    You should be able to finally configure the application correctly (at least, it worked for me).

    Code:
    ./configure
    make
    sudo make install
    This seems to knock out the missing python2.4 libraries error I was continually receiving. I hope this helps others, as well.

    Cris Hall

  2. #2

    Default Re: Installing Superkaramba w/ Python 2.5

    Webpin Is there a reason for not using a rpm?
    Man first, have a try at Info, have a look at Wiki, if all that fails Scroogle!!!!!
    If I've helped click on the Rep button I don't know what it does but it sounds cool.

  3. #3
    sc0re NNTP User

    Default Re: Installing Superkaramba w/ Python 2.5

    Ah, thank you for that. I'm new to the openSUSE community (coming from a debian-based background) and wasn't aware of this Webpin functionality.

    Again, thank you - please disregard my ignorance.

  4. #4
    Join Date
    Jun 2008
    Location
    /dev/belgium
    Posts
    1,946

    Default Re: Installing Superkaramba w/ Python 2.5

    superkaramba is also available from the kdeutils3-extra package

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •